# Uses of Record Class
org.apache.lucene.replicator.nrt.CopyState

- ## Uses of CopyState in org.apache.lucene.replicator.nrt

  Methods in org.apache.lucene.replicator.nrt that return CopyState
  Modifier and Type
  Method
  Description
  `abstract CopyState`
  CopyJob.`getCopyState()`
  `CopyState`
  PrimaryNode.`getCopyState()`
  IncRef the current CopyState and return it
  Methods in org.apache.lucene.replicator.nrt with parameters of type CopyState
  Modifier and Type
  Method
  Description
  `void`
  PrimaryNode.`releaseCopyState(CopyState copyState)`
  Called once replica is done (or failed) copying an NRT point